﻿#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

:root {
    font-size: var(--rz-root-font-size);
    --rz-white: #ffffff;
    --rz-black: #000000;
    --rz-base: #eceadf;
    --rz-base-50: #fbfbf8;
    --rz-base-100: #f9f8f3;
    --rz-base-200: #f3f0e3;
    --rz-base-300: #eceadf;
    --rz-base-400: #e6e4db;
    --rz-base-500: #e0dfd7;
    --rz-base-600: #d2d0c6;
    --rz-base-700: #7e7c74;
    --rz-base-800: #4f4d45;
    --rz-base-900: #201f1b;
    --rz-base-light: #f9f8f3;
    --rz-base-lighter: #fff;
    --rz-base-dark: #4f4d45;
    --rz-base-darker: #201f1b;
    --rz-primary-light: #ffef8a;
    --rz-primary-lighter: rgba(255, 216, 0, 0.18);
    --rz-primary-dark: #b89b00;
    --rz-primary-darker: #7a6700;
    --rz-secondary-light: #e8e1aa;
    --rz-secondary-lighter: rgba(123, 116, 65, 0.16);
    --rz-secondary-dark: #5c562f;
    --rz-secondary-darker: #3d391d;
    --rz-info: #356d9a;
    --rz-info-light: #c7e1ff;
    --rz-info-lighter: rgba(199, 225, 255, 0.45);
    --rz-info-dark: #255678;
    --rz-info-darker: #163551;
    --rz-success: #5c8a24;
    --rz-success-light: #d7efb2;
    --rz-success-lighter: rgba(215, 239, 178, 0.45);
    --rz-success-dark: #456a1a;
    --rz-success-darker: #2c4210;
    --rz-warning: #d39b00;
    --rz-warning-light: #ffe7a6;
    --rz-warning-lighter: rgba(255, 231, 166, 0.5);
    --rz-warning-dark: #a67800;
    --rz-warning-darker: #6a4c00;
    --rz-danger: #c65432;
    --rz-danger-light: #ffc9bb;
    --rz-danger-lighter: rgba(255, 201, 187, 0.45);
    --rz-danger-dark: #9c3c20;
    --rz-danger-darker: #5f210f;
    --rz-on-base: #201f1b;
    --rz-on-base-light: #201f1b;
    --rz-on-base-lighter: #201f1b;
    --rz-on-base-dark: #fff;
    --rz-on-base-darker: #fbfbf8;
    --rz-on-primary: #000;
    --rz-on-primary-light: #4f4300;
    --rz-on-primary-lighter: #4f4300;
    --rz-on-primary-dark: #fff;
    --rz-on-primary-darker: #ffef8a;
    --rz-on-secondary: #ffffff;
    --rz-on-secondary-light: #312d16;
    --rz-on-secondary-lighter: #312d16;
    --rz-on-secondary-dark: #ffffff;
    --rz-on-secondary-darker: #e8e1aa;
    --rz-on-info: #ffffff;
    --rz-on-info-light: #163551;
    --rz-on-info-lighter: #255678;
    --rz-on-info-dark: #ffffff;
    --rz-on-info-darker: #c7e1ff;
    --rz-on-success: #ffffff;
    --rz-on-success-light: #2c4210;
    --rz-on-success-lighter: #2c4210;
    --rz-on-success-dark: #ffffff;
    --rz-on-success-darker: #d7efb2;
    --rz-on-warning: #20201b;
    --rz-on-warning-light: #6a4c00;
    --rz-on-warning-lighter: #6a4c00;
    --rz-on-warning-dark: #ffffff;
    --rz-on-warning-darker: #ffe7a6;
    --rz-on-danger: #ffffff;
    --rz-on-danger-light: #5f210f;
    --rz-on-danger-lighter: #5f210f;
    --rz-on-danger-dark: #ffffff;
    --rz-on-danger-darker: #ffc9bb;
    --rz-series-1: #ffd800;
    --rz-series-2: #c7a600;
    --rz-series-3: #8ea728;
    --rz-series-4: #4f9a72;
    --rz-series-5: #3f8f9f;
    --rz-series-6: #4d78b5;
    --rz-series-7: #7a68c7;
    --rz-series-8: #aa61bd;
    --rz-series-9: #d06a9b;
    --rz-series-10: #db7a66;
    --rz-series-11: #e19a3b;
    --rz-series-12: #b5a832;
    --rz-series-13: #8c7a00;
    --rz-series-14: #687f1d;
    --rz-series-15: #2f7c5e;
    --rz-series-16: #2f7280;
    --rz-series-17: #355f91;
    --rz-series-18: #5d4ea3;
    --rz-series-19: #874b9c;
    --rz-series-20: #ad4f82;
    --rz-series-21: #b95e4a;
    --rz-series-22: #b97c24;
    --rz-series-23: #8d6b1e;
    --rz-series-24: #625124;
    --rz-secondary: #7b7441;
    --rz-primary: #ffd800;
}

body {
    font-family: var(--rz-text-font-family);
    color: var(--rz-text-color);
    font-size: var(--rz-body-font-size);
    line-height: var(--rz-body-line-height);
    background-color: var(--rz-body-background-color);
}

.rz-body {
    --rz-body-padding: 0;
}

a {
    color: var(--rz-link-color);
}

    a:hover,
    a:focus {
        color: var(--rz-link-hover-color);
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: var(--rz-primary-dark);
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }